Name: msmtp
Version: 1.4.16
Release: alt1

%def_disable gsasl
%def_enable  nls
%def_enable  ssl
%ifndef ssl_libs
%define ssl_libs openssl
#define ssl_libs gnutls
%endif

Summary: Mail delivering agent (MDA) that uses customizable SMTP-server
License: GPL
Group: Networking/Mail
Url: http://%name.sourceforge.net
Source: http://heanet.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.bz2

Summary(ru_RU.KOI8-R):    (MDA)   SMTP-

Requires(post):  %install_info
Requires(preun): %uninstall_info

%if_enabled gsasl
ERROR: msmtp requires GNU SASL that is incompatible with SASL2, sorry.
BuildPreReq: libsasl2-devel
%endif

%if_enabled ssl

%if %ssl_libs==openssl
BuildPreReq: libssl-devel
%else
%if %ssl_libs==gnutls
BuildPreReq: libgnutls-devel >= 1.2, libtasn1-devel, libgpg-error-devel
%else
ERROR: Unknown value of ssl_libs macro: %ssl_libs. Valid values are: openssl, gnutls.
%endif
%endif

%package ssl
Group: Networking/Mail
Summary: Mail delivering agent (MDA) with SSL support
Summary(ru_RU.KOI8-R):    (MDA)   SMTP- c SSL
Requires: %name

%description ssl
Advanced version of %name utility with TLS/SSL support.

See description of %name package for more details.

%description ssl -l ru_RU.KOI8-R
 %name       TLS/SSL.

   %name    .

%endif

%description
msmtp is an SMTP client: it transmits a mail to an SMTP server
(for example, at a free mail provider) which does the delivery.
To use this program with your mail user agent (MUA),
create a configuration file with your mail account(s)
and tell your MUA to call msmtp instead of /usr/sbin/sendmail.

Features include:
- Sendmail compatible interface (command line options and exit codes)
- Many authentication methods: PLAIN, LOGIN, CRAM-MD5, EXTERNAL.
  With GNU SASL, GSSAPI, DIGEST-MD5 and NTLM are also allowed.
- TLS/SSL encrypted connections (including server certificate verification
  and optional sending of client certificate) in separate %name-ssl package
- DSN (Delivery Status Notification) support
- RMQS (Remote Message Queue Starting) support (ETRN keyword)
- PIPELINING support for increased transmission speed
- IPv6 support
- LMTP support
- support for multiple accounts

%description -l ru_RU.KOI8-R
msmtp -  -  SMTP.

 ,        
mail  /usr/sbin/sendmail,      SMTP-,
     25. msmtp   
sendmail   ,  SMTP-    
(   )    
(       Postfix SMTPD).

  msmtp:
-   sendmail       
-    : PLAIN, LOGIN, CRAM-MD5, EXTERNAL
  ( ,   GNU SASL - GSSAPI, DIGEST-MD5  NTLM)
-     TLS/SSL,    ,
       
-  DSN (Delivery Status Notification,    )
-  RMQS (Remote Message Queue Starting,   
   )     ETRN
-  (     SMTP-)
     
-  IPv6
-  LMTP
-   ޣ  SMTP   

%prep
%setup -q

%build
%if_enabled gsasl
export ac_cv_header_gsasl_h=%_includedir/sasl/sasl.h
export GSASL_CFLAGS="-lsasl2"
%endif

%if_enabled ssl
echo "Generate binary with SSL support..."
%configure %{subst_enable nls} %{subst_enable gsasl} --enable-ssl --with-ssl=%ssl_libs
%make_build
%__mv src/%name %name-ssl
%__mv doc/%name.html . ; %__make maintainer-clean ; %__mv %name.html doc/
%endif

echo "Generate base binary..."
%configure %{subst_enable nls} %{subst_enable gsasl} --disable-ssl
%make_build

%install
%makeinstall
%if_enabled ssl
%__install -p %name-ssl %buildroot%_bindir/%name-ssl
%endif

%files
%_bindir/%name
%_man1dir/%name.*
%_infodir/%name.*
%doc AUTHORS ChangeLog NEWS README THANKS doc/Mutt+msmtp.txt doc/%name.html doc/msmtprc-*.example
%exclude %_datadir/locale/de/LC_MESSAGES/msmtp.mo

%if_enabled ssl
%files ssl
%_bindir/%name-ssl
%endif

%post
%install_info   %name.info

%preun
%uninstall_info %name.info

%changelog
* Sat Sep 27 2008 Ilya Evseev <evseev@altlinux.ru> 1.4.16-alt1
- updated to new version 1.4.16

* Thu Mar 27 2008 Ilya Evseev <evseev@altlinux.ru> 1.4.14-alt1
- updated to new version 1.4.14

* Wed Aug  1 2007 Ilya Evseev <evseev@altlinux.ru> 1.4.13-alt1
- updated to new version 1.4.13

* Mon Jun 25 2007 Ilya Evseev <evseev@altlinux.ru> 1.4.12-alt1
- updated to new version 1.4.12

* Tue Apr 10 2007 Ilya Evseev <evseev@altlinux.ru> 1.4.11-alt1
- updated to new version 1.4.11

* Mon Jan 22 2007 Ilya Evseev <evseev@altlinux.ru> 1.4.10-alt1
- updated to new version 1.4.10

* Mon Nov  6 2006 Ilya Evseev <evseev@altlinux.ru> 1.4.9-alt1
- updated to new version 1.4.9

* Mon Aug 21 2006 Ilya Evseev <evseev@altlinux.ru> 1.4.7-alt1
- updated to new version 1.4.7

* Fri Jun 23 2006 Ilya Evseev <evseev@altlinux.ru> 1.4.6-alt1
- updated to new version 1.4.6

* Fri Feb 17 2006 Ilya Evseev <evseev@altlinux.ru> 1.4.5-alt1
- initial build for ALTLinux

## EOF ##
